# Default server configuration
#
server {
    listen 8081 default_server;
    listen [::]:8081 default_server;

    root /var/www/html;

    index index.html;

    server_name _;

    # Flask app
    location / {
        proxy_pass http://flask_app:5000/;
        proxy_redirect     default;
        proxy_set_header   X-Forwarded-For   $proxy_add_x_forwarded_for;
    }

    # Kratos Public
    location /kratos/  {
        proxy_pass http://kube_port_kratos_public:8080/;
        proxy_redirect     default;
        proxy_set_header   X-Forwarded-For   $proxy_add_x_forwarded_for;
    }
}
